Kerbal Space Program - Bug #13832

SAS misalignment to target when controlling from radial docking port
02/16/2017 04:18 PM - boolybooly

Status: Ready to Test Start date: 02/16/2017
Severity: Normal % Done: 80%
Assignee:

Category: Gameplay

Target version: 1.12.0

Version: 1.3.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

using a radial docking port to control a craft using "control from here", see screeny, targeting a second docking port on a different
craft/part and using SAS "align to target" command function, the alignment of the craft using SAS is deflected downwards some
30Ac° off the target.

| have seen this a few times now.

If you use an inline docking port with axial orientation such as the one at the top of this craft in the screeny, the alignment is fine.

To explain the screeny the craft in the foreground has a pod attached and is trying to attach a second pod to the other side of it
where there is a symmetrical docking port which is being used to control the craft. If you look at the SAS function which is green it is

the orient to target function but the craft is static (see pitch and yaw indicators) and pointing well off the target which is visible on the
navball as well as in the screen.

Related issues:
Has duplicate Kerbal Space Program - Bug #18955: Sas target hold misalignment Duplicate 05/16/2018

History

#1 - 02/17/2017 10:31 AM - Daveroski

| posted about this in Technical Support October 28 last year.
http://forum.kerbalspaceprogram.com/index.php?/topic/151030-docking-summersaults/#comment-2827866

In November | reported a game breaking bug http://bugs.kerbalspaceprogram.com/issues/13314 which has also been pretty much ignored.
Good Luck! :)

#2 - 02/23/2018 12:08 AM - hermanpetri@hotmail.com
- Status changed from New to Confirmed

- % Done changed from 0 to 10

- Version changed from 1.2.2 to 1.3.1

| can confirm that this bug still persists in 1.3.1
Off axis docking ports do not properly aim at targets in SAS mode.

#3 - 02/26/2018 05:48 AM - hermanpetri@hotmail.com

| tested this by placing different types of docking ports, command pods, and probe cores around a cylindrical test vehicle. If my root part was in the
central stack then only the docking ports at either end of the stack held the target properly when at close approach for docking. Any docking ports or
control points that were offset from the central stack or aimed radially outwards do not track properly.

HOWEVER! If you use the re-root tool to make a radially mounted docking port the root port then that docking port DOES track the target correctly.
Further testing shows that when SAS is tracking a target it will align your navball to face in the direction of whichever control point you've selected
BUT it will use the base of the root part of the craft to determine "center" for tracking purposes and calculates the angle from the target to the base of
the root part - instead of the angle from the target to the selected control point. This means that if you are using a large ship and its root part is placed
at some lateral distance from the docking port you are controlling from then the SAS will keep turning your ship to bring the base of its root part in line
with the target - which causes the docking port you are trying to use to continue to point away from the targeted docking port.

For SAS "hold target" the angle from the targeted docking port is being calculated to the base of the root part of the ship being controlled rather than

calculating the angle to the selected control point. This isn't very noticeable at large distances, but when at close range it makes it impossible to use
SAS "hold target" to dock large ships with an off-center docking port.
http://forum.kerbalspaceprogram.com/index.php?/topic/151030-docking-summersaults/#comment-2827866
http://bugs.kerbalspaceprogram.com/issues/13314

#5 - 02/28/2018 12:01 AM - Squelch
- Project changed from Kerbal Space Program to KSP Develop
- Category changed from 27 to Docking

- Resolve when Fixed On set to Single Reported Platform

#6 - 02/28/2018 12:02 AM - Squelch
- Project changed from KSP Develop to Kerbal Space Program
- Category changed from Docking to 27

#8 - 07/29/2019 10:33 PM - chris.fulton
- Has duplicate Bug #18955: Sas target hold misalignment added

#9 - 06/24/2021 11:01 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.12.0

- % Done changed from 10 to 80

We have made some changes in this last 1.12.0 release and would like some feedback on this issue. Thanks.
